Bug 321132 - kate: right-click closing other document in document list switches away from current document
Summary: kate: right-click closing other document in document list switches away from ...
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Unclassified
Component: general (show other bugs)
Version: 3.10.3
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-14 00:42 UTC by missive
Modified: 2013-08-03 14:05 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description missive 2013-06-14 00:42:18 UTC
The document list offers a context menu option "Close."  When using the close context menu option to close a document other than the currently displayed document, kate changes the displayed document after closing the other file, instead of leaving the currently displayed document alone.


Reproducible: Always

Steps to Reproduce:
1. Open several files
2. In the file list, right-click close one of the other (not currently active/displayed) documents

Actual Results:  
kate switches to a different document

Expected Results:  
kate does not switch to a different document (continues to show the same document as before closing the other document)
Comment 1 Joseph Wenninger 2013-08-03 14:05:01 UTC
Git commit f8b6fb698376691f88a9bde40640314ae7e42297 by Joseph Wenninger.
Committed on 03/08/2013 at 14:01.
Pushed by jowenn into branch 'master'.

If documents are closed, but they had no top most view, keep the view. Only if the active view vanished, replace it by the first document.

M  +4    -1    kate/app/katedocmanager.cpp

http://commits.kde.org/kate/f8b6fb698376691f88a9bde40640314ae7e42297